<template>
  <v-btn
      class="dashboard-control mb-6"
      max-width="500"
      color="primary"
      @click="logout"
  >
    Logout
  </v-btn>
</template>

<script>
import {mapActions} from "vuex";

export default {
  name: "ControlLogout",
  methods: {
    ...mapActions(['setIsAuthenticated']),
    async logout() {
      try {
        await this.$axios.get('/api/logout')

        // if (response.status === 302) {
        this.setIsAuthenticated(false)
        await this.$router.push({ name: 'login' })
        // }
      } catch (error) {
        console.log(error)
      }
    }
  }
}
</script>

<style scoped>

</style>
